package com.link.base.aotocolumn.service;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

@Service
public class AotoColumnServiceImpl implements AotoColumnService {
   public List<String> getAllFieldsList(String classPath) throws Exception {
      Class<?> cls = Class.forName(classPath);
      Assert.isTrue(cls != null, "The class must not be null");
      List<String> allFields = new ArrayList();

      for(Class<?> currentClass = cls; currentClass != null; currentClass = currentClass.getSuperclass()) {
         Field[] declaredFields = currentClass.getDeclaredFields();
         Field[] var6 = declaredFields;
         int var7 = declaredFields.length;

         for(int var8 = 0; var8 < var7; ++var8) {
            Field field = var6[var8];
            allFields.add(field.getName());
         }
      }

      return allFields;
   }
}
